{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
    <title>Schedule</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">

</head>
<form method="POST" action="/padd_S/">
        {% csrf_token %}
    <h3 align ="center">Book Your Schedule</h3>
    <div class="form-group">
      <label>Title</label>
      <input type="text" class="form-control" name="InputTitle" maxlength="50" id= "id_InputTitle" placeholder="Add title">
    </div>
    <div class="form-group">
        <label>Add Category</label>
        <select name="category" class="form-control" id="InputCategory">
          <option>Event</option>
          <option>Task</option>
          <option>Reminder</option>
          <option>Goal</option>
        </select>
    </div>
    <div class="form-row">
            <div class="form-group col-6">
                <label>Start</label>
                <input type="datetime-local" class="form-control" name="date_start" id="id_date_start">
            </div>
            <div class="form-group col-6">
                <label>End</label>
                <input type="datetime-local" class="form-control" name="date_end" id="id_date_end">
            </div>
        </div>

    <div class="form-group">
        <label>Add Location</label>
        <input type="text" class="form-control" name="InputLocation" maxlength="80" placeholder="location" id="id_InputLocation">
    </div>
    <div class="form-group">
        <label>Add description</label>
        <textarea type="text" class="form-control" name="InputDescription" maxlength="80" rows="3" id="id_InputDescription"></textarea>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>

  {% for index in page_jadwal %}
  <div class="col-md-1">
      <form action="premove_S/{{ index.id }}" method="POST">
        {% csrf_token %}
          <br>
          <button type="submit" name="submit" class="btn btn-danger" value="hapusJadwal" id="submit_btn">
              <img class="cross-x" alt="Delete" width="25"
                  height="25">
          </button>
          <input type="hidden" name="id" value="{{ index.id }}">
          <!-- {{ form }} -->
      </form>
  </div>
  <div class="col-md-5">
      <br>
      <h5> {{index.InputTitle }}</h5>
      <h6> Category: {{ index.category }}</h6>
      <h6> Start: {{ index.date_start }}</h6>
      <h6> End: {{ index.date_end }}</h6>
      <h6> Add Location: {{ index.InputLocation }}</h6>
      <h6> Add Description: {{ index.InputDescription }}</h6>
  </div>
  {% endfor %}

  </html>